#!/usr/bin/env bash

BASEDIR=$(dirname "$(readlink -f "$0")")
escaped_script_dir=$(echo "$BASEDIR" | sed 's/[\/&]/\\&/g')

echo "installing LabelPrinting autostart!"

sudo systemctl stop labelprinting

cp install/labelprinting.service tmp/

sed -i "s|{dir}|$escaped_script_dir|g; s|{user}|$USER|g;" tmp/labelprinting.service

sudo cp tmp/labelprinting.service /etc/systemd/system/labelprinting.service
rm tmp/labelprinting.service

sudo systemctl daemon-reload
sudo systemctl enable labelprinting
sudo systemctl start labelprinting
sudo systemctl status labelprinting

echo "Done"
